* {
  box-sizing: border-box
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  overscroll-behavior-x: none;
}

.window {
  overflow: hidden;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  cursor: auto;
}

.window:active {
  cursor: grabbing;

}

.world {
  position: relative;
  width: 2114px;
  height: 2494px;
  background-size: 100%;
  background-image: url("../images/Maps/map-herbe.png");
  background-repeat: no-repeat;
  cursor: none;

}

.water {
  position: absolute;
  width: 6342px;
  height: 7482px;
  background-image: url('../images/Maps/ascii_water.gif');
  background-size: 10%;
  cursor: none;
}

.item {
  position: absolute;
}

#item1 {
  top: 800px;
  left: 800px;
  width: 300px;
  height: 200px;
  background: #E91C63;
  color: white;
  padding: 20px;
  text-align: center;
}

.torche {
  position: absolute;
  width: 64px;
  height: 64px;
  background-origin: center;
  background-image: url('../images/Objets/Eglise/torche.gif');
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}

#torche1 {
  top: 1215px;
  left: 640px;
}

#torche2 {
  top: 610px;
  left: 643px;
}

#torche3 {
  top: 610px;
  left: 1278px;
  transform: scaleX(-1);
}

#torche4 {
  top: 1215px;
  left: 1278px;
  transform: scaleX(-1);
}

.herbe {
  position: absolute;
  width: 64px;
  height: 64px;
  background-origin: center;
  background-image: url('../images/Objets/Foret/herb_anim.gif');
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}

.algue {
  position: absolute;
  width: 128px;
  height: 128px;
  background-origin: center;
  background-image: url('../images/Objets/Aquatique/nori_anim.gif');
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}

.phish {
  position: absolute;
  width: 64px;
  height: 64px;
  background-origin: center;
  background-image: url('../images/Objets/Aquatique/phish.png');
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
  transform: scaleX(-1);
}

.troll {
  position: absolute;
  width: 64px;
  height: 64px;
  background-origin: center;
  background-image: url('../images/Objets/Desert/troll.gif');
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}


.teleport {
  width: auto;
  height: auto;
  color: rgb(45, 0, 255);
  padding: 20px;
  text-align: center;
  cursor: pointer;

}

.teleport:hover {
  text-decoration: underline;
}

#Hiver {
  display: inline-block;
  font-weight: 400;
  font-size: 12px;
  color: rgb(45, 0, 255);
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}

#Mort {
  position: absolute;
  top: 1500px;
  left: 820px;
  display: inline-block;
  font-weight: 400;
  font-size: 12px;
  color: rgb(45, 0, 255);
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}

#Mort_bis {
  position: absolute;
  top: 195px;
  left: 185px;
  display: inline-block;
  font-weight: 400;
  font-size: 12px;
  color: rgb(45, 0, 255);
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}

#Epices {
  display: inline-block;
  font-weight: 400;
  font-size: 12px;
  color: rgb(45, 0, 255);
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}


#Osmose {
  display: inline-block;
  font-weight: 400;
  font-size: 12px;
  color: rgb(45, 0, 255);
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}


#Vert {
  top: 300px;
  left: 700px;
}

#Vert_bis {
  top: 300px;
  left: 700px;
}

#Destination {
  position: relative;
  top: 1160px;
  left: 1210px;
  display: inline-block;
  font-weight: 400;
  font-size: 24px;
  color: black;
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}

#Eglise {
  position: relative;
  top: 350px;
  left: 945px;
  display: inline-block;
  font-weight: 400;
  font-size: 16px;
  color: black;
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}


.cursor {
  position: absolute;
  width: 64px;
  height: 64px;
  background-image: url("images\cursor_knight_still.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-origin: center;
  top: 0;
  left: 0;
  pointer-events: none;
}

.collision {
  width: 640px;
  height: 640px;
}

.pnj {
  position: absolute;
  width: 64px;
  height: 64px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-origin: center;
}

#starguide {
  top: 230px;
  left: 400px;
  background-image: url('../images/pnj/Starguide/star_guide_still.png');
  background-origin: center;
  visibility: visible;
}

#starguide_supr {
  top: 1350px;
  left: 1500px;
  width: 128px;
  height: 128px;
  background-image: url('../images/pnj/Starguide/star_guide_supr_still.png');
  background-origin: center;
  z-index: 2000;
  visibility: hidden;
  pointer-events: none;

}

#editor {
  top: 1200px;
  left: 1500px;
  background-image: url('../images/pnj/Editor/editor_still.png');
  background-origin: center;
}

#shadow {
  top: 400px;
  left: 1200px;
  background-image: url('../images/pnj/Shadow/shadow_still.png');
  background-origin: center;
}

#lang {
  top: 1400px;
  left: 800px;
  background-image: url('../images/pnj/Lang/lang_still.png');
  background-origin: center;
}

#ref {
  top: 1400px;
  left: 500px;
  background-image: url('../images/pnj/Ref/ref_still.png');
  background-origin: center;
}

#ghost1 {
  top: 900px;
  left: 1800px;
  background-image: url('../images/pnj/Ghosts/ghost_still.png');
  background-origin: center;
}

#ghost2 {
  top: 300px;
  left: 1500px;
  background-image: url('../images/pnj/Ghosts/ghost_still.png');
  background-origin: center;
  visibility: visible;
}

#ghost2_bis {
  top: 300px;
  left: 1500px;
  background-image: url('../images/pnj/Ghosts/ghost_still.png');
  background-origin: center;
  visibility: hidden;
  pointer-events: none;
}

#admin {
  top: 800px;
  left: 1100px;
  background-image: url('../images/pnj/Admin/admin_still.png');
  background-origin: center;
}

#snowman {
  position: absolute;
  top: 1000px;
  left: 90px;
  width: 128px;
  height: 128px;
  background-image: url('../images/pnj/Snowman/snowman_talk.png');
  background-origin: center;
  background-size: contain;
  background-repeat: no-repeat;
}



.pnj-frame {
  width: 360px;
  height: auto;
  display: block;
  pointer-events: auto;

}

#modhud {
  position: fixed;
  width: 2114px;
  height: 36px;
  left: 170px;
  top: 18px;
  background-image: url('../images/HUD/Article_lec.png');
  background-size: contain;
  background-repeat: no-repeat;
}

#inventory {
  position: absolute;
  right: 18px;
  top: 700px;
  display: flex;
  gap: 8px;
  z-index: 2000;
  pointer-events: auto;
  font-size: 32px;
  color: rgb(6, 6, 255);

}


#snow {
  position: absolute;
  top: 200px;
  left: 1500px;
  width: 500px;
  height: 500px;
  background-color: aqua;
  background-origin: center;
  /* visibility: hidden; */
}


.infobox {
  position: absolute;
  top: 1050px;
  left: 1200px;
  width: 260px;
  background: rgba(255, 255, 255, 0.95);
  border: 3px solid rgba(95, 95, 95, 0.12);
  border-radius: 2px;
  padding: 8px;
  z-index: 100;
}

.infobox-image {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 2px;
}

.infobox-caption {
  margin-top: 8px;
  font-family: sans-serif;
  font-size: 14px;
  color: #222;
}

.caption {
  font-size: 12px;
  font-style: italic;
  margin-bottom: 6px;
}

.infobox-title {
  background-color: rgb(219, 217, 217);
  font-weight: 400;
  margin-bottom: 6px;
}

.infobox-actions .teleport {
  display: inline-block;
  margin-left: 6px;
}

#infobox-fish {
  top: 785px;
  left: 930px;
  display: none;
}

#infobox-linkrot {
  top: 1330px;
  left: 1400px;
}

#infobox-arbre {
  top: 1400px;
  left: 800px;
}

#infobox-404 {
  top: 1100px;
  left: 230px;
}

#infobox-plante {
  top: 1200px;
  left: 730px;
}

#lac {
  position: absolute;
  top: 850px;
  left: 980px;
  width: 128px;
  height: 128px;
  background-origin: center;
  background-size: contain;
}


#carrot {
  position: absolute;
  top: 1500px;
  left: 1800px;
  width: 128px;
  height: 128px;
  background-origin: center;
  background-image: url('../images/Objets/Foret/carrot.png');
  background-size: contain;
}

#ver {
  position: absolute;
  top: 1228px;
  left: 160px;
  width: 32px;
  height: 32px;
  background-origin: center;
  background-image: url('../images/Objets/Neige/worm.png');
  background-size: contain;
  display: none;
}


#deletion_effect {
  position: absolute;
  top: 1160px;
  left: 1210px;
  width: 128px;
  height: 128px;
  background-size: contain;
  background-origin: center;
  opacity: 70%;
  background-image: url('../images/Objets/Foret/deletionpedia_effect.gif');
  z-index: 1;
  pointer-events: none;
}



.snowflake {
  position: absolute;
  color: black;
  font-size: 20px;
  pointer-events: none;
  user-select: none;
}

.bubble {
  position: absolute;
  color: black;
  font-size: 24px;
  pointer-events: none;
  user-select: none;
}

#Main_menu {
  width: 101%;
  height: 101%;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  background-image: url('../images/Maps/main_menu.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  background-origin: center;
  display: block;
  z-index: 3000;
}

#title_l {
  width: 2114px;
  height: 2494px;
  position: fixed;
  background-image: url('../images/HUD/L_title/Foret.gif');
  background-size: contain;
  background-size: 50%;
  background-repeat: no-repeat;
  top: 0;
  left: 200px;
  pointer-events: none;
  display: none;

}

.google-sans {
  font-family: "Google Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400px;
  font-style: normal;
  font-variation-settings:
    "GRAD" 0;
}


#prologue {
  position: relative;
  top: 217px;
  left: 200px;
  font-weight: 400;
  font-size: 21px;
  color: rgb(37, 0, 202);
  cursor: auto;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;
}

#prologue:hover {
  text-decoration: underline;
}

@keyframes blink {
  0% {
    color: red;
  }

  50% {
    color: blue;
  }

  100% {
    color: red;
  }

}


#savoir_absolu {
  position: relative;
  top: 500px;
  left: 940px;
  font-weight: 400;
  font-size: 17px;
  animation: blink 1s infinite;
  cursor: pointer;
  pointer-events: auto;
  background: rgba(255, 255, 255, 0.02);
  padding: 0px 12px;
  border-radius: 0px;

}

#savoir_absolu:hover {
  text-decoration: underline;
}


#End_screen {
  width: 101%;
  height: 101%;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  background-image: url('../images/Maps/Ecran_de_fin.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  background-origin: center;
  display: none;
  z-index: 200000;
}


@keyframes fading {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

#End_screen_text {
  animation: fading 5s;
  position: relative;
  top: 460px;
  left: 400px;
  font-weight: 400;
  font-size: 24px;
  color: grey;
  cursor: default;
  pointer-events: none;
  z-index: 200005;
}

#dino {
  position: relative;
  top: 148px;
  left: 448px;
  width: auto;
  height: 64px;
  background-size: contain;
  background-image: url('../images/Objets/Desert/dino.png');
  background-repeat: no-repeat;
  cursor: default;
  pointer-events: none;
  z-index: 200003;
}

#dino_frame {
  position: relative;
  top: -50px;
  left: 347px;
  width: auto;
  height: 128px;
  background-size: contain;
  background-image: url("../images/Objets/Desert/Frame1.svg");
  background-repeat: no-repeat;
  cursor: default;
  pointer-events: none;
  z-index: 200003;
}

#intro {
  position: fixed;
  width: 101%;
  height: 101%;
  top: 0;
  left: 0;
  z-index: 10000;
  display: none;
  cursor: none;

}


